| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::TrackerFeature Class Referenceabstract
Tracking API

Abstract base class for TrackerFeature that represents the feature. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerFeature:

## Public Member Functions
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection. More...
String | getClassName () const
| Get the name of the specific TrackerFeature. More...
virtual void | selection (Mat &response, int npoints)=0
| Identify most effective features. More...

## Static Public Member Functions
static Ptr< TrackerFeature > | create (const String &trackerFeatureType)
| Create TrackerFeature by tracker feature type. More...

## Protected Member Functions
virtual bool | computeImpl (const std::vector< Mat > &images, Mat &response)=0

## Protected Attributes
String | className

## Detailed Description

Abstract base class for TrackerFeature that represents the feature.

## Constructor & Destructor Documentation

## ◆ ~TrackerFeature()

virtual cv::TrackerFeature::~TrackerFeature | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ compute()

void cv::TrackerFeature::compute | ( | const std::vector< Mat > & | images,
|  | Mat & | response
| ) |  |

Compute the features in the images collection.

Parameters

  images | The images
  response | The output response

## ◆ computeImpl()

virtual bool cv::TrackerFeature::computeImpl | ( | const std::vector< Mat > & | images,
|  | Mat & | response
| ) |  |
| protected pure virtual

Implemented in cv::TrackerFeatureLBP, cv::TrackerFeatureHAAR, cv::TrackerFeatureHOG, and cv::TrackerFeatureFeature2d.

## ◆ create()

static Ptr<TrackerFeature> cv::TrackerFeature::create | ( | const String & | trackerFeatureType | ) |
| static

Create TrackerFeature by tracker feature type.

Parameters

  trackerFeatureType | The TrackerFeature name

The modes available now:

- "HAAR" – Haar Feature-based

The modes that will be available soon:

- "HOG" – Histogram of Oriented Gradients features
- "LBP" – Local Binary Pattern features
- "FEATURE2D" – All types of Feature2D

## ◆ getClassName()

String cv::TrackerFeature::getClassName | ( |  | ) | const

Get the name of the specific TrackerFeature.

## ◆ selection()

virtual void cv::TrackerFeature::selection | ( | Mat & | response,
|  | int | npoints
| ) |  |
| pure virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implemented in cv::TrackerFeatureLBP, cv::TrackerFeatureHAAR, cv::TrackerFeatureHOG, and cv::TrackerFeatureFeature2d.

## Member Data Documentation

## ◆ className

String cv::TrackerFeature::className
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp